#!/bin/sh
echo 'INCLUDEPATH += $(SUITE_INC_DIR) $(T2C_INC_DIR) $(TET_INC_DIR)'>> $1
echo 'LIBPATH += $(TET_LIB_DIR) $(T2C_LIB_DIR)' >> $1
echo 'LIBS += $(TEST_LIBS) -lX11' >> $1
echo 'DEFINES+=T2C_IGNORE_RCAT_ERRORS' >> $1
echo 'DEFINES+=QT_SESSIONMANAGER' >> $1
echo 'DEFINES+=QT_THREAD_SUPPORT' >> $1
echo 'DEFINES+=QT_SHARED' >> $1
echo 'DEFINES+=QT_NO_DEBUG' >> $1
echo 'DEFINES+=QT3_SUPPORT' >> $1
echo 'QT += opengl' >> $1
echo 'QT += network' >> $1
echo 'QT += sql' >> $1
echo 'QT += svg' >> $1
echo 'QT += xml' >> $1
str=`cat $2 | grep '<executor.h>'`
if test "$str" != ""
then
echo 'HEADERS += $(SUITE_INC_DIR)/executor.h' >> $1
fi
str=`cat $2 | grep 'QSessionManager'`
if test "$str" != ""
then
echo 'LIBS += -lXt -lICE -lSM' >> $1
echo 'INCLUDEPATH += /usr/include/X11' >> $1
fi
